%global momorel 4
%global qt_version 3.3.7

Summary: Scim-bridge is yet another gtk-immodule for SCIM.
Name: scim-bridge
Version: 0.4.15
Release: %{momorel}m%{?dist}
URL: http://sourceforge.jp/projects/scim-imengine/
Source0: http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz 
NoSource: 0
Source1: xim.d-scim-bridge
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License: GPL
Group: Applications/System
PreReq: gtk2
Requires: scim >= 1.4.6
BuildRequires: scim-devel >= 1.4.6
BuildRequires: qt-devel
BuildRequires: qt3-devel = %{qt_version}

%description
Scim-bridge is yet another gtk-immodule for SCIM.
It communicates with scim over sockets, 
and the DLL loaded by applications is written in pure C. 
You can use this to avoid the problem caused by C++ ABI transition.

%prep
%setup -q 

%build
%configure --disable-static --enable-qt3-immodule --enable-qt4-immodule
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/xim.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xinit/xim.d/SCIM-bridge

rm %{buildroot}%{_libdir}/{gtk-2.0/immodules,qt{-%{qt_version},4}/plugins/inputmethods}/im-scim-bridge.*a

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
/sbin/ldconfig
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules

%postun
/sbin/ldconfig
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_sysconfdir}/X11/xinit/xim.d/SCIM-bridge
%{_bindir}/scim-bridge
%{_libdir}/gtk-2.0/immodules/im-scim-bridge.so
%{_libdir}/qt-%{qt_version}/plugins/inputmethods/*.so
%{_libdir}/qt4/plugins/inputmethods/*.so

%changelog
* Wed Aug 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.15-4m)
- PreReq: gtk2

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.15-3m)
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.15-2m)
- rebuild against gcc43

* Tue Mar  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.15-1m)
- update 0.4.15

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.14-2m)
- %%NoSource -> NoSource

* Mon Dec 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.14-1m)
- update 0.4.14

* Tue Jul  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.13-1m)
- update 0.4.13

* Wed Apr 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.12-1m)
- update 0.4.12

* Mon Mar 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.10-1m)
- update 0.4.10

* Sun Jan 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9-3m)
- rebuild against qt-3.3.7

* Thu Jan 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.9-2m)
- update xim.d-scim-bridge
-- QT_IM_MODULE=scim-bridge

* Tue Jan  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.9-1m)
- update 0.4.9

* Sat Nov 11 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.7-1m)
- update 0.4.7

* Sat Sep 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.5-1m)
- update 0.4.5

* Mon Sep 11 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.4-1m)
- update 0.4.4

* Fri Sep  1 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.1-1m)
- update 0.4.1

* Tue Aug  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.7-1m)
- update 0.2.7

* Fri Jul 28 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.6-1m)
- update 0.2.6

* Sun Jul  2 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.3-1m)
- update 0.2.3

* Fri Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.2-1m)
- update 0.2.2

* Wed May  3 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.7-1m)
- update 0.1.7

* Wed Apr 12 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.4-1m)
- initial commit

